List Services By EnvironmentId
curl --request GET \
--url https://api.qovery.com/environment/{environmentId}/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/environment/{environmentId}/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/environment/{environmentId}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"healthchecks": {
"readiness_probe": {
"type": {
"tcp": {
"port": 123,
"host": null
},
"http": {
"path": "/",
"scheme": "HTTP",
"port": 123
},
"exec": {
"command": [
"sh",
"-c",
"test -f /tmp/healthy"
]
},
"grpc": {
"service": null,
"port": 123
}
},
"initial_delay_seconds": 30,
"period_seconds": 10,
"timeout_seconds": 5,
"success_threshold": 1,
"failure_threshold": 9
},
"liveness_probe": {
"type": {
"tcp": {
"port": 123,
"host": null
},
"http": {
"path": "/",
"scheme": "HTTP",
"port": 123
},
"exec": {
"command": [
"sh",
"-c",
"test -f /tmp/healthy"
]
},
"grpc": {
"service": null,
"port": 123
}
},
"initial_delay_seconds": 30,
"period_seconds": 10,
"timeout_seconds": 5,
"success_threshold": 1,
"failure_threshold": 9
}
},
"icon_uri": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"storage": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "FAST_SSD",
"size": 16,
"mount_point": "/mnt/images"
}
],
"git_repository": {
"owner": "John Doe",
"url": "<string>",
"name": "simple-node-app",
"has_access": true,
"branch": "<string>",
"root_path": "<string>",
"deployed_commit_id": "<string>",
"deployed_commit_date": "2023-11-07T05:31:56Z",
"deployed_commit_contributor": "<string>",
"deployed_commit_tag": "v1.0.1",
"git_token_id": "<string>",
"git_token_name": "<string>"
},
"maximum_cpu": 16000,
"maximum_memory": 16384,
"maximun_gpu": 0,
"description": "<string>",
"build_mode": "DOCKER",
"dockerfile_path": "<string>",
"cpu": 1250,
"memory": 1024,
"gpu": 0,
"ephemeral_storage_in_gib": 10,
"min_running_instances": 1,
"max_running_instances": 1,
"auto_preview": true,
"ports": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"internal_port": 8080,
"publicly_accessible": true,
"protocol": "HTTP",
"name": "<string>",
"external_port": 8080,
"is_default": true,
"public_path": "<string>",
"public_path_rewrite": "<string>"
}
],
"arguments": [
"<string>"
],
"entrypoint": "<string>",
"auto_deploy": true,
"annotations_groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"annotations": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopes": [],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"labels_groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"labels": [
{
"key": "<string>",
"value": "<string>",
"propagate_to_cloud_provider": true
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"docker_target_build_stage": "<string>",
"autoscaling": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "KEDA",
"polling_interval_seconds": 123,
"cooldown_period_seconds": 123,
"scalers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"scaler_type": "<string>",
"enabled": true,
"updated_at": "2023-11-07T05:31:56Z",
"config_json": {},
"config_yaml": "<string>",
"trigger_authentication": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"organization_id": "<string>",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"config_yaml": "<string>"
}
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
}
]
}Environment Main Calls
List Services By EnvironmentId
GET
/
environment
/
{environmentId}
/
services
List Services By EnvironmentId
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Response
200 - application/json
Service List
- Option 1
- Option 2
- Option 3
- Option 4
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Was this page helpful?
⌘I